
/*  change([Q,D,N,P])  defines how many quarters (Q),  dimes (D),
       nickels (N),  and pennies (P)  are required to total to one dollar.  */

change([Q,D,N,P]) :- 
        member(Q,[0,1,2,3,4]),                  /* quarters     */ 
        member(D,[0,1,2,3,4,5,6,7,8,9,10]) ,    /* dimes        */ 
        member(N,[0,1,2,3,4,5,6,7,8,9,10,       /* nickels      */ 
                   11,12,13,14,15,16,17,18,19,20]),  
        Sum is 25*Q +10*D + 5*N, 
        Sum =< 100, 
        P is 100-Sum. 

